org.deidentifier.arx

## Class HierarchyBuilder

- java.lang.Object
- - org.deidentifier.arx.HierarchyBuilder

-     public class HierarchyBuilder
      extends java.lang.Object

  Class to encapsulates retrieval operations on hierarchies.
  Author:
    Andre Breitenfeld, Simon Koennecke, Christian Windolf

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HierarchyBuilder(java.io.File folder, java.lang.String relation)` Constructor of the hierarchy builder.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.deidentifier.arx.AttributeType.Hierarchy` | `getHierarchy(Attribute att, Instances instances)` This method creates an hierarchy instance for a given attribute.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HierarchyBuilder

          public HierarchyBuilder(java.io.File folder,
                          java.lang.String relation)

      Constructor of the hierarchy builder.
      Parameters:
        `folder` - Path to the folder containing the hierarchies.
        `relation` - Name of the relation.

  - ### Method Detail

    - #### getHierarchy

          public org.deidentifier.arx.AttributeType.Hierarchy getHierarchy(Attribute att,
                                                                  Instances instances)
                                                                    throws java.io.IOException

      This method creates an hierarchy instance for a given attribute.
      Parameters:
        `att` - Attribute for which the hierarchy should be created
        `instances` -
      Returns:
        ARX hierarchy instance.
      Throws:
        `java.io.IOException` - if it was not possible to locate the hierarchy file.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`